Bug 973493 - (Re-)Review Request: mpich - A high-performance implementation of MPI
Summary: (Re-)Review Request: mpich - A high-performance implementation of MPI
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-12 04:05 UTC by Deji Akingunola
Modified: 2013-08-23 22:53 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-19 16:37:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
review results (210.70 KB, text/plain)
2013-07-18 04:27 UTC, Christopher Meng
no flags Details

Description Deji Akingunola 2013-06-12 04:05:00 UTC
Spec URL: http://deji.fedorapeople.org/mpich.spec
SRPM URL: http://deji.fedorapeople.org/mpich-3.0.4-1.fc18.src.rpm
Description:
This is a re-review request for renaming mpich2 to mpich. The package renaming was originally done upstream. The functionalities of the package largely remains the same, only some features/subsystems (eg. mpe logging facility) are no longer shipped with the main package tarball.
Also, support for the old  process manager mpd has been dropped; along with alternatives packaging support.

Fedora Account System Username: deji

Comment 1 Christopher Meng 2013-07-18 03:49:37 UTC
Suggestion:

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

Issue:

changelog contains 3.0.2, but no 3.0.4 presented.

Please fix.

Comment 2 Christopher Meng 2013-07-18 04:26:20 UTC
Wow..

Many unused-direct-shlib-dependency problems...

See the attachment.

Comment 3 Christopher Meng 2013-07-18 04:27:05 UTC
Created attachment 775092 [details]
review results

Comment 4 Deji Akingunola 2013-07-18 20:20:15 UTC
(In reply to Christopher Meng from comment #2)
> Wow..
> 
> Many unused-direct-shlib-dependency problems...
> 
> See the attachment.

Thanks for taking time to review the package.
I have fixed the 'unused-direct-shlib-dependency' and many of the other reported rpmlint warnings. I believe most of the other watnings/errors can be safely ignored, especially these;
>>>
mpich.i686: E: invalid-locale-man-dir /usr/share/man/mpich/man1/mpicc.1.gz
mpich.i686: W: file-not-in-%lang /usr/share/man/mpich/man1/mpicc.1.gz
>>>
The packaging behaviour in these cases are in accordance with the Fedora MPI packaging guidelines (see http://fedoraproject.org/wiki/Packaging:MPI#Packaging_of_MPI_compilers).

Updated spec and srpm files are available at;
Spec URL: http://deji.fedorapeople.org/mpich.spec
SRPM URL: http://deji.fedorapeople.org/mpich-3.0.4-2.fc18.src.rpm

Comment 5 Christopher Meng 2013-07-19 05:35:32 UTC
Yes I know these handy problems.

SO approved.

Comment 6 Deji Akingunola 2013-07-19 15:32:41 UTC
New Package SCM Request
=======================
Package Name: mpich
Short Description: A high-performance implementation of MPI
Owners: deji
Branches: f18 f19
InitialCC:

Comment 7 Gwyn Ciesla 2013-07-19 16:06:27 UTC
Git done (by process-git-requests).

Comment 8 Deji Akingunola 2013-07-19 16:37:49 UTC
The package has been imported into git repo and will be built shortly.

Thank you all for your efforts.

Comment 9 Orion Poplawski 2013-08-23 22:53:44 UTC
Why no:

%check
make check

section? IMO should have been suggested in review.  I've checked this in and submitted a build.


Note You need to log in before you can comment on or make changes to this bug.